#!/usr/bin/env python
# Coolan Confidential
# Copyright (c) Coolan, Inc 2014 All Rights Reserved
#
# NOTICE:  All information contained herein is, and remains
# the property of Coolan, Inc.  The intellectual and
# technical concepts contained #herein are proprietary to
# Coolan, Inc and may be covered by U.S. and Foreign Patents,
# patents in process, and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material
# is strictly forbidden unless prior written permission is obtained
# from Coolan, Inc.
# This code and information are provided "as is" without warranty of any
# kind, either expressed or implied, including but not limited to the
# implied warranties of mechantability and/or fitness for a
# particular purpose.

COLLECTOR_VERSION = '1.0.10-10'
COLLECTOR_PYTHON_VERSION = '2.6, 2.7'
BOOT_ID = ''
MACHINE_ID = ''

CONFIG_FILE = 'etc/config.properties'
DEFAULT_CONFIG_FILE = 'coolan-default.properties'
COMMANDS_FILE = 'commands.properties'
AUTH_SECTION = "Auth"
FILE_LOCATIONS = "File Locations"
DIRECTORIES = "Directories"
SETTINGS = "Settings"
BOOT_COMMANDS = "Boot"
PERIODIC_COMMANDS = "Periodic"
PERIODIC_VIA_SHELL_COMMANDS = "Periodic - Shell"
COMMON_PERIODIC_COMMANDS = "Common-Periodic"
DAILY_COMMANDS = "Daily"
TIME_SERIES_COMMANDS = "Time Series"
TIME_SERIES_NO_SUPPORT_COMMANDS = "Time Series - no arguments support"
VM_COMMANDS = "VM"
VM_TIME_SERIES_COMMANDS = "VM - Time Series"
HP_SMART_ARRAY_COMMANDS = "HP Smart Array"

REQUIRED_SECTIONS = [AUTH_SECTION, FILE_LOCATIONS, DIRECTORIES, BOOT_COMMANDS, PERIODIC_COMMANDS, PERIODIC_VIA_SHELL_COMMANDS, DAILY_COMMANDS, TIME_SERIES_COMMANDS, TIME_SERIES_NO_SUPPORT_COMMANDS, COMMON_PERIODIC_COMMANDS, VM_TIME_SERIES_COMMANDS]

TMP_FILE_EXTENSION = '.current'
NUMBER_OF_FILES_TO_ZIP = 5

DEFAULT_INTERVAL = 3
DEFAULT_COUNT = 5

BEGIN_MSG = '\n----- BEGIN %s -----\n'
END_MSG = '\n----- END %s -----\n'
BEGIN_ERROR_MSG = '\n----- BEGIN ERROR %s -----\n'
END_ERROR_MSG = '\n----- END ERROR %s -----\n'

BEGIN_TIMESERIES_MSG = '\n----- BEGIN startTimeSeconds-%s intervalSeconds-%s %s -----\n'
END_TIMESERIES_MSG = '\n----- END startTimeSeconds-%s intervalSeconds-%s %s -----\n'
BEGIN_ERROR_TIMESERIES_MSG = '\n----- BEGIN ERROR startTimeSeconds-%s intervalSeconds-%s %s -----\n'
END_ERROR_TIMESERIES_MSG = '\n----- END ERROR startTimeSeconds-%s intervalSeconds-%s %s -----\n'

RAWDATA = "rawdata"
TIME_SERIES = "rawdata-timeseries"
CUSTOM_DATA = "custom"

RAID_TYPES = ["megaraid", "aacraid", "3ware", "areca", "cciss", "hpt", "ata", "scsi", "sat", "usbsunplus", "usbjmicron", "usbcypress"]
SMART_TOOL_SEARCH_DRIVE_TYPES = ["sat+megaraid", "megaraid"]
MEGACLI = ["megacli", "MegaCli", "MegaCli64", "/opt/MegaRAID/MegaCli/MegaCli64"]
XENTOOL = ["xl", "xm"]
HPTOOL = ["hpacucli", "hpssacli"]
OPTIONAL_COMAANDS = ["dpkg", "rpm"]
ERROR_OUTPUT = ["Error"]
HPTOOL_ERROR_OUTPUT = ["Another instance of hpacucli is running! Stop it first."]
SMARTTOOL_ERROR_OUTPUT = ["No such device", "cannot open", "INQUIRY failed", "errorCode: 2", "errorCode: 1"]
SMARTTOOL_SYNTAX_ERROR_OUTPUT = ["errorCode: 1"]

COMMAND_TIMEOUT_MSG = "%s : Collecting data is taking too long. Killing the command %s. Timeout seconds: %s"

DELIMITERS = '[:;]'

LOGS_ENDPOINT_PATH = 'accounts/%s/log-files/%s'